#
# spec file for package python-ravello-sdk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ravello-sdk
Version:        2.7
Release:        lp150.1.3
Summary:        Python SDK for the Ravello API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/ravello/python-sdk
Source:         https://files.pythonhosted.org/packages/source/r/ravello-sdk/ravello-sdk-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module docopt}
BuildRequires:  %{python_module requests >= 2.6.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-docopt
Requires:       python-requests >= 2.6.0
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This is a micro-SDK for accessing the Ravello API in Python. It also contains
a few useful utility scripts.

%prep
%setup -q -n ravello-sdk-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec tests/unit.py

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Nov 13 2017 sean.marlow@suse.com
- Update to v2.7 2017-11-12 (bsc#1067900)
  + Fix setup.py.
- Update to v2.6 2017-10-09
  + Only use url.decode if needed.
- Update to v2.5 2017-07-09
  + Remove depracated invite user call.
* Wed Nov  8 2017 sean.marlow@suse.com
- Fix check to run tests on Python2 and 3.
* Wed Sep 27 2017 sean.marlow@suse.com
- Migrate to single spec.
* Wed Jul  5 2017 sean.marlow@suse.com
- Update to v2.4 2017-07-05 (bsc#1047582)
  - Added api call to get storage charges for bp.
  - Update get_detailed_charges_for_blueprint() args, error
    handling and desc.
  - Remove ;design from POST.
* Wed Feb 22 2017 sean.marlow@suse.com
- Update to 2.3 2017-02-22
  - Add share API.
- Update to 2.2 2017-02-22
  - Add cost bucket and cost alert definition calls (beta feature).
* Mon Feb  6 2017 sean.marlow@suse.com
- Remove python-invoke build requirement. This is only a dev
  requirement.
- Add package to SLE-12 codestream (bsc#1018964, fate#322319)
* Tue Dec  6 2016 sean.marlow@suse.com
- Add BuildRequires unittest2 for SLE 11 and earlier.
- Fix SLE_11_SP4 build warning. Package should not obsolete itself.
* Mon Nov 21 2016 sean.marlow@suse.com
- Initial package (2.1)
